#ifndef LIBSARIA_QUEUE_H
#define LIBSARIA_QUEUE_H

#include <libsaria/model.h>
#include <list>
using namespace std;

namespace libsaria
{
	namespace queue
	{
		namespace iter
		{
			void reset();
			libsaria::Track *next();
			bool end();
		}

		void add_ids(list<sid_t> &);
		void rm_ids(list<sid_t> &);
		void for_each(SourceModel *);
		unsigned int size();
		string next_file();

		void save();
		void load();
	}
}

#endif /* LIBSARIA_QUEUE_H */
