
#include <libsaria/libsaria.h>
#include <libsaria/library.h>
#include <libsaria/audio.h>
#include <libsaria/path.h>

static libsaria::Track tmp_track;

namespace libsaria
{

	libsaria::Track *current_track()
	{
		sid_t songid;
		libsaria::Track *current;
		string file = libsaria::audio::get_current_file();

		if (file == "")
			return NULL;

		songid  = lookup_songid(file);
		current = libsaria::library::get_info(songid);
		if (current)
			return current;

		tmp_track = libsaria::Track(file, songid);
		tmp_track.do_cleanup();
		return &tmp_track;
	}

};
